# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-05-13 16:53
from __future__ import unicode_literals

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models

import events.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('current', models.BooleanField()),
                ('about_text', models.TextField(blank=True, help_text='Content for the event about page')),
                ('rules_text', models.TextField(blank=True, help_text='Content for the event rules page')),
                ('help_text', models.TextField(blank=True, help_text='Content for the event help page')),
                ('examples_text', models.TextField(blank=True, help_text='Content for the example puzzles for this event')),
                ('max_team_size', models.IntegerField(default=0, help_text='Maximum size for a team at this event, or 0 for no limit.', validators=[django.core.validators.MinValueValidator(0)])),
            ],
        ),
        migrations.CreateModel(
            name='EventFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField()),
                ('file', models.FileField(upload_to=events.models.event_file_path)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event')),
            ],
        ),
        migrations.CreateModel(
            name='Theme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('script', models.TextField(blank=True)),
                ('style', models.TextField(blank=True)),
            ],
        ),
        migrations.AddField(
            model_name='event',
            name='theme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='theme', to='events.Theme'),
        ),
        migrations.AlterUniqueTogether(
            name='eventfile',
            unique_together=set([('event', 'slug')]),
        ),
    ]
